/**
 * output package name
 */
package com.kingdee.eas.custom.esign.client;

import org.apache.log4j.*;

import java.awt.*;
import java.awt.event.*;
import java.util.*;
import javax.swing.border.*;
import javax.swing.BorderFactory;
import javax.swing.event.*;
import javax.swing.KeyStroke;

import com.kingdee.bos.ctrl.swing.*;
import com.kingdee.bos.ctrl.kdf.table.*;
import com.kingdee.bos.ctrl.kdf.data.event.*;
import com.kingdee.bos.dao.*;
import com.kingdee.bos.dao.query.*;
import com.kingdee.bos.metadata.*;
import com.kingdee.bos.metadata.entity.*;
import com.kingdee.bos.ui.face.*;
import com.kingdee.bos.ui.util.ResourceBundleHelper;
import com.kingdee.bos.util.BOSUuid;
import com.kingdee.bos.service.ServiceContext;
import com.kingdee.jdbc.rowset.IRowSet;
import com.kingdee.util.enums.EnumUtils;
import com.kingdee.bos.ui.face.UIRuleUtil;
import com.kingdee.bos.ctrl.swing.event.*;
import com.kingdee.bos.ctrl.kdf.table.event.*;
import com.kingdee.bos.ctrl.extendcontrols.*;
import com.kingdee.bos.ctrl.kdf.util.render.*;
import com.kingdee.bos.ui.face.IItemAction;
import com.kingdee.eas.framework.batchHandler.RequestContext;
import com.kingdee.bos.ui.util.IUIActionPostman;
import com.kingdee.bos.appframework.client.servicebinding.ActionProxyFactory;
import com.kingdee.bos.appframework.uistatemanage.ActionStateConst;
import com.kingdee.bos.appframework.validator.ValidateHelper;
import com.kingdee.bos.appframework.uip.UINavigator;


/**
 * output class name
 */
public abstract class AbstractSealEditUI extends com.kingdee.eas.framework.client.EditUI
{
    private static final Logger logger = CoreUIObject.getLogger(AbstractSealEditUI.class);
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer kDLabelContainer1;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer kDLabelContainer2;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer kDLabelContainer3;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer kDLabelContainer4;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contorgId;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contsealId;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contsealName;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contsealCreateTime;
    protected com.kingdee.bos.ctrl.swing.KDCheckBox chkdefaultSealFlag;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contsealHeight;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contsealWidth;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contsealBizType;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contsealBizTypeDescription;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contsealStyle;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer conteffectiveTime;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contexpireTime;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contsealAuthBizId;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contauthorizerOrgName;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contauthorizerOrgId;
    protected com.kingdee.bos.ctrl.swing.KDCheckBox chkauthorizer;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contsealStatus;
    protected com.kingdee.bos.ctrl.swing.KDTextField txtNumber;
    protected com.kingdee.bos.ctrl.extendcontrols.KDBizMultiLangBox txtName;
    protected com.kingdee.bos.ctrl.swing.KDTextField txtSimpleName;
    protected com.kingdee.bos.ctrl.extendcontrols.KDBizMultiLangBox txtDescription;
    protected com.kingdee.bos.ctrl.swing.KDTextField txtorgId;
    protected com.kingdee.bos.ctrl.swing.KDTextField txtsealId;
    protected com.kingdee.bos.ctrl.swing.KDTextField txtsealName;
    protected com.kingdee.bos.ctrl.swing.KDTimePicker sealCreateTime;
    protected com.kingdee.bos.ctrl.swing.KDFormattedTextField txtsealHeight;
    protected com.kingdee.bos.ctrl.swing.KDFormattedTextField txtsealWidth;
    protected com.kingdee.bos.ctrl.swing.KDComboBox sealBizType;
    protected com.kingdee.bos.ctrl.swing.KDScrollPane scrollPanesealBizTypeDescription;
    protected com.kingdee.bos.ctrl.swing.KDTextArea txtsealBizTypeDescription;
    protected com.kingdee.bos.ctrl.swing.KDComboBox sealStyle;
    protected com.kingdee.bos.ctrl.swing.KDTimePicker effectiveTime;
    protected com.kingdee.bos.ctrl.swing.KDTimePicker expireTime;
    protected com.kingdee.bos.ctrl.swing.KDTextField txtsealAuthBizId;
    protected com.kingdee.bos.ctrl.swing.KDTextField txtauthorizerOrgName;
    protected com.kingdee.bos.ctrl.swing.KDTextField txtauthorizerOrgId;
    protected com.kingdee.bos.ctrl.swing.KDComboBox sealStatus;
    protected com.kingdee.eas.custom.esign.SealInfo editData = null;
    /**
     * output class constructor
     */
    public AbstractSealEditUI() throws Exception
    {
        super();
        this.defaultObjectName = "editData";
        jbInit();
        
        initUIP();
    }

    /**
     * output jbInit method
     */
    private void jbInit() throws Exception
    {
        this.resHelper = new ResourceBundleHelper(AbstractSealEditUI.class.getName());
        this.setUITitle(resHelper.getString("this.title"));
        this.kDLabelContainer1 = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.kDLabelContainer2 = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.kDLabelContainer3 = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.kDLabelContainer4 = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contorgId = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contsealId = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contsealName = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contsealCreateTime = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.chkdefaultSealFlag = new com.kingdee.bos.ctrl.swing.KDCheckBox();
        this.contsealHeight = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contsealWidth = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contsealBizType = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contsealBizTypeDescription = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contsealStyle = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.conteffectiveTime = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contexpireTime = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contsealAuthBizId = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contauthorizerOrgName = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contauthorizerOrgId = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.chkauthorizer = new com.kingdee.bos.ctrl.swing.KDCheckBox();
        this.contsealStatus = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.txtNumber = new com.kingdee.bos.ctrl.swing.KDTextField();
        this.txtName = new com.kingdee.bos.ctrl.extendcontrols.KDBizMultiLangBox();
        this.txtSimpleName = new com.kingdee.bos.ctrl.swing.KDTextField();
        this.txtDescription = new com.kingdee.bos.ctrl.extendcontrols.KDBizMultiLangBox();
        this.txtorgId = new com.kingdee.bos.ctrl.swing.KDTextField();
        this.txtsealId = new com.kingdee.bos.ctrl.swing.KDTextField();
        this.txtsealName = new com.kingdee.bos.ctrl.swing.KDTextField();
        this.sealCreateTime = new com.kingdee.bos.ctrl.swing.KDTimePicker();
        this.txtsealHeight = new com.kingdee.bos.ctrl.swing.KDFormattedTextField();
        this.txtsealWidth = new com.kingdee.bos.ctrl.swing.KDFormattedTextField();
        this.sealBizType = new com.kingdee.bos.ctrl.swing.KDComboBox();
        this.scrollPanesealBizTypeDescription = new com.kingdee.bos.ctrl.swing.KDScrollPane();
        this.txtsealBizTypeDescription = new com.kingdee.bos.ctrl.swing.KDTextArea();
        this.sealStyle = new com.kingdee.bos.ctrl.swing.KDComboBox();
        this.effectiveTime = new com.kingdee.bos.ctrl.swing.KDTimePicker();
        this.expireTime = new com.kingdee.bos.ctrl.swing.KDTimePicker();
        this.txtsealAuthBizId = new com.kingdee.bos.ctrl.swing.KDTextField();
        this.txtauthorizerOrgName = new com.kingdee.bos.ctrl.swing.KDTextField();
        this.txtauthorizerOrgId = new com.kingdee.bos.ctrl.swing.KDTextField();
        this.sealStatus = new com.kingdee.bos.ctrl.swing.KDComboBox();
        this.kDLabelContainer1.setName("kDLabelContainer1");
        this.kDLabelContainer2.setName("kDLabelContainer2");
        this.kDLabelContainer3.setName("kDLabelContainer3");
        this.kDLabelContainer4.setName("kDLabelContainer4");
        this.contorgId.setName("contorgId");
        this.contsealId.setName("contsealId");
        this.contsealName.setName("contsealName");
        this.contsealCreateTime.setName("contsealCreateTime");
        this.chkdefaultSealFlag.setName("chkdefaultSealFlag");
        this.contsealHeight.setName("contsealHeight");
        this.contsealWidth.setName("contsealWidth");
        this.contsealBizType.setName("contsealBizType");
        this.contsealBizTypeDescription.setName("contsealBizTypeDescription");
        this.contsealStyle.setName("contsealStyle");
        this.conteffectiveTime.setName("conteffectiveTime");
        this.contexpireTime.setName("contexpireTime");
        this.contsealAuthBizId.setName("contsealAuthBizId");
        this.contauthorizerOrgName.setName("contauthorizerOrgName");
        this.contauthorizerOrgId.setName("contauthorizerOrgId");
        this.chkauthorizer.setName("chkauthorizer");
        this.contsealStatus.setName("contsealStatus");
        this.txtNumber.setName("txtNumber");
        this.txtName.setName("txtName");
        this.txtSimpleName.setName("txtSimpleName");
        this.txtDescription.setName("txtDescription");
        this.txtorgId.setName("txtorgId");
        this.txtsealId.setName("txtsealId");
        this.txtsealName.setName("txtsealName");
        this.sealCreateTime.setName("sealCreateTime");
        this.txtsealHeight.setName("txtsealHeight");
        this.txtsealWidth.setName("txtsealWidth");
        this.sealBizType.setName("sealBizType");
        this.scrollPanesealBizTypeDescription.setName("scrollPanesealBizTypeDescription");
        this.txtsealBizTypeDescription.setName("txtsealBizTypeDescription");
        this.sealStyle.setName("sealStyle");
        this.effectiveTime.setName("effectiveTime");
        this.expireTime.setName("expireTime");
        this.txtsealAuthBizId.setName("txtsealAuthBizId");
        this.txtauthorizerOrgName.setName("txtauthorizerOrgName");
        this.txtauthorizerOrgId.setName("txtauthorizerOrgId");
        this.sealStatus.setName("sealStatus");
        // CoreUI		
        this.btnPrint.setVisible(false);		
        this.btnPrintPreview.setVisible(false);		
        this.menuItemPrint.setVisible(false);		
        this.menuItemPrintPreview.setVisible(false);
        // kDLabelContainer1		
        this.kDLabelContainer1.setBoundLabelText(resHelper.getString("kDLabelContainer1.boundLabelText"));		
        this.kDLabelContainer1.setBoundLabelLength(100);		
        this.kDLabelContainer1.setBoundLabelUnderline(true);
        // kDLabelContainer2		
        this.kDLabelContainer2.setBoundLabelText(resHelper.getString("kDLabelContainer2.boundLabelText"));		
        this.kDLabelContainer2.setBoundLabelLength(100);		
        this.kDLabelContainer2.setBoundLabelUnderline(true);
        // kDLabelContainer3		
        this.kDLabelContainer3.setBoundLabelText(resHelper.getString("kDLabelContainer3.boundLabelText"));		
        this.kDLabelContainer3.setBoundLabelLength(100);		
        this.kDLabelContainer3.setBoundLabelUnderline(true);
        // kDLabelContainer4		
        this.kDLabelContainer4.setBoundLabelText(resHelper.getString("kDLabelContainer4.boundLabelText"));		
        this.kDLabelContainer4.setBoundLabelLength(100);		
        this.kDLabelContainer4.setBoundLabelUnderline(true);		
        this.kDLabelContainer4.setBoundLabelAlignment(7);		
        this.kDLabelContainer4.setVisible(true);
        // contorgId		
        this.contorgId.setBoundLabelText(resHelper.getString("contorgId.boundLabelText"));		
        this.contorgId.setBoundLabelLength(100);		
        this.contorgId.setBoundLabelUnderline(true);		
        this.contorgId.setVisible(true);
        // contsealId		
        this.contsealId.setBoundLabelText(resHelper.getString("contsealId.boundLabelText"));		
        this.contsealId.setBoundLabelLength(100);		
        this.contsealId.setBoundLabelUnderline(true);		
        this.contsealId.setVisible(true);
        // contsealName		
        this.contsealName.setBoundLabelText(resHelper.getString("contsealName.boundLabelText"));		
        this.contsealName.setBoundLabelLength(100);		
        this.contsealName.setBoundLabelUnderline(true);		
        this.contsealName.setVisible(true);
        // contsealCreateTime		
        this.contsealCreateTime.setBoundLabelText(resHelper.getString("contsealCreateTime.boundLabelText"));		
        this.contsealCreateTime.setBoundLabelLength(100);		
        this.contsealCreateTime.setBoundLabelUnderline(true);		
        this.contsealCreateTime.setVisible(true);
        // chkdefaultSealFlag		
        this.chkdefaultSealFlag.setText(resHelper.getString("chkdefaultSealFlag.text"));		
        this.chkdefaultSealFlag.setVisible(true);		
        this.chkdefaultSealFlag.setHorizontalAlignment(2);
        // contsealHeight		
        this.contsealHeight.setBoundLabelText(resHelper.getString("contsealHeight.boundLabelText"));		
        this.contsealHeight.setBoundLabelLength(100);		
        this.contsealHeight.setBoundLabelUnderline(true);		
        this.contsealHeight.setVisible(true);
        // contsealWidth		
        this.contsealWidth.setBoundLabelText(resHelper.getString("contsealWidth.boundLabelText"));		
        this.contsealWidth.setBoundLabelLength(100);		
        this.contsealWidth.setBoundLabelUnderline(true);		
        this.contsealWidth.setVisible(true);
        // contsealBizType		
        this.contsealBizType.setBoundLabelText(resHelper.getString("contsealBizType.boundLabelText"));		
        this.contsealBizType.setBoundLabelLength(100);		
        this.contsealBizType.setBoundLabelUnderline(true);		
        this.contsealBizType.setVisible(true);
        // contsealBizTypeDescription		
        this.contsealBizTypeDescription.setBoundLabelText(resHelper.getString("contsealBizTypeDescription.boundLabelText"));		
        this.contsealBizTypeDescription.setBoundLabelLength(100);		
        this.contsealBizTypeDescription.setBoundLabelUnderline(true);		
        this.contsealBizTypeDescription.setVisible(true);
        // contsealStyle		
        this.contsealStyle.setBoundLabelText(resHelper.getString("contsealStyle.boundLabelText"));		
        this.contsealStyle.setBoundLabelLength(100);		
        this.contsealStyle.setBoundLabelUnderline(true);		
        this.contsealStyle.setVisible(true);
        // conteffectiveTime		
        this.conteffectiveTime.setBoundLabelText(resHelper.getString("conteffectiveTime.boundLabelText"));		
        this.conteffectiveTime.setBoundLabelLength(100);		
        this.conteffectiveTime.setBoundLabelUnderline(true);		
        this.conteffectiveTime.setVisible(true);
        // contexpireTime		
        this.contexpireTime.setBoundLabelText(resHelper.getString("contexpireTime.boundLabelText"));		
        this.contexpireTime.setBoundLabelLength(100);		
        this.contexpireTime.setBoundLabelUnderline(true);		
        this.contexpireTime.setVisible(true);
        // contsealAuthBizId		
        this.contsealAuthBizId.setBoundLabelText(resHelper.getString("contsealAuthBizId.boundLabelText"));		
        this.contsealAuthBizId.setBoundLabelLength(100);		
        this.contsealAuthBizId.setBoundLabelUnderline(true);		
        this.contsealAuthBizId.setVisible(true);
        // contauthorizerOrgName		
        this.contauthorizerOrgName.setBoundLabelText(resHelper.getString("contauthorizerOrgName.boundLabelText"));		
        this.contauthorizerOrgName.setBoundLabelLength(100);		
        this.contauthorizerOrgName.setBoundLabelUnderline(true);		
        this.contauthorizerOrgName.setVisible(true);
        // contauthorizerOrgId		
        this.contauthorizerOrgId.setBoundLabelText(resHelper.getString("contauthorizerOrgId.boundLabelText"));		
        this.contauthorizerOrgId.setBoundLabelLength(100);		
        this.contauthorizerOrgId.setBoundLabelUnderline(true);		
        this.contauthorizerOrgId.setVisible(true);
        // chkauthorizer		
        this.chkauthorizer.setText(resHelper.getString("chkauthorizer.text"));		
        this.chkauthorizer.setVisible(true);		
        this.chkauthorizer.setHorizontalAlignment(2);
        // contsealStatus		
        this.contsealStatus.setBoundLabelText(resHelper.getString("contsealStatus.boundLabelText"));		
        this.contsealStatus.setBoundLabelLength(100);		
        this.contsealStatus.setBoundLabelUnderline(true);		
        this.contsealStatus.setVisible(true);
        // txtNumber		
        this.txtNumber.setMaxLength(80);
        // txtName
        // txtSimpleName		
        this.txtSimpleName.setMaxLength(80);
        // txtDescription
        // txtorgId		
        this.txtorgId.setVisible(true);		
        this.txtorgId.setHorizontalAlignment(2);		
        this.txtorgId.setMaxLength(255);		
        this.txtorgId.setRequired(false);
        // txtsealId		
        this.txtsealId.setVisible(true);		
        this.txtsealId.setHorizontalAlignment(2);		
        this.txtsealId.setMaxLength(255);		
        this.txtsealId.setRequired(false);
        // txtsealName		
        this.txtsealName.setVisible(true);		
        this.txtsealName.setHorizontalAlignment(2);		
        this.txtsealName.setMaxLength(100);		
        this.txtsealName.setRequired(false);
        // sealCreateTime		
        this.sealCreateTime.setVisible(true);
        // txtsealHeight		
        this.txtsealHeight.setVisible(true);		
        this.txtsealHeight.setHorizontalAlignment(2);		
        this.txtsealHeight.setDataType(0);		
        this.txtsealHeight.setSupportedEmpty(true);		
        this.txtsealHeight.setRequired(false);
        // txtsealWidth		
        this.txtsealWidth.setVisible(true);		
        this.txtsealWidth.setHorizontalAlignment(2);		
        this.txtsealWidth.setDataType(0);		
        this.txtsealWidth.setSupportedEmpty(true);		
        this.txtsealWidth.setRequired(false);
        // sealBizType		
        this.sealBizType.setVisible(true);		
        this.sealBizType.addItems(EnumUtils.getEnumList("com.kingdee.eas.custom.esign.bizEnum.SealBizTypeEnum").toArray());		
        this.sealBizType.setRequired(false);
        // scrollPanesealBizTypeDescription
        // txtsealBizTypeDescription		
        this.txtsealBizTypeDescription.setVisible(true);		
        this.txtsealBizTypeDescription.setRequired(false);		
        this.txtsealBizTypeDescription.setMaxLength(1000);
        // sealStyle		
        this.sealStyle.setVisible(true);		
        this.sealStyle.addItems(EnumUtils.getEnumList("com.kingdee.eas.custom.esign.bizEnum.SealStyleEnum").toArray());		
        this.sealStyle.setRequired(false);
        // effectiveTime		
        this.effectiveTime.setVisible(true);
        // expireTime		
        this.expireTime.setVisible(true);
        // txtsealAuthBizId		
        this.txtsealAuthBizId.setVisible(true);		
        this.txtsealAuthBizId.setHorizontalAlignment(2);		
        this.txtsealAuthBizId.setMaxLength(200);		
        this.txtsealAuthBizId.setRequired(false);
        // txtauthorizerOrgName		
        this.txtauthorizerOrgName.setVisible(true);		
        this.txtauthorizerOrgName.setHorizontalAlignment(2);		
        this.txtauthorizerOrgName.setMaxLength(100);		
        this.txtauthorizerOrgName.setRequired(false);
        // txtauthorizerOrgId		
        this.txtauthorizerOrgId.setVisible(true);		
        this.txtauthorizerOrgId.setHorizontalAlignment(2);		
        this.txtauthorizerOrgId.setMaxLength(200);		
        this.txtauthorizerOrgId.setRequired(false);
        // sealStatus		
        this.sealStatus.setVisible(true);		
        this.sealStatus.addItems(EnumUtils.getEnumList("com.kingdee.eas.custom.esign.bizEnum.SealStatusEnum").toArray());		
        this.sealStatus.setRequired(false);
        this.setFocusTraversalPolicy(new com.kingdee.bos.ui.UIFocusTraversalPolicy(new java.awt.Component[] {txtorgId,txtsealId,txtsealName,sealCreateTime,chkdefaultSealFlag,txtsealHeight,txtsealWidth,sealBizType,txtsealBizTypeDescription,sealStyle,effectiveTime,expireTime,txtsealAuthBizId,txtauthorizerOrgName,txtauthorizerOrgId,chkauthorizer,sealStatus}));
        this.setFocusCycleRoot(true);
		//Register control's property binding
		registerBindings();
		registerUIState();


    }

	public com.kingdee.bos.ctrl.swing.KDToolBar[] getUIMultiToolBar(){
		java.util.List list = new java.util.ArrayList();
		com.kingdee.bos.ctrl.swing.KDToolBar[] bars = super.getUIMultiToolBar();
		if (bars != null) {
			list.addAll(java.util.Arrays.asList(bars));
		}
		return (com.kingdee.bos.ctrl.swing.KDToolBar[])list.toArray(new com.kingdee.bos.ctrl.swing.KDToolBar[list.size()]);
	}




    /**
     * output initUIContentLayout method
     */
    public void initUIContentLayout()
    {
        this.setBounds(new Rectangle(0, 0, 1013, 629));
        this.setLayout(null);
        kDLabelContainer1.setBounds(new Rectangle(102, 44, 270, 19));
        this.add(kDLabelContainer1, null);
        kDLabelContainer2.setBounds(new Rectangle(102, 81, 270, 19));
        this.add(kDLabelContainer2, null);
        kDLabelContainer3.setBounds(new Rectangle(102, 118, 270, 19));
        this.add(kDLabelContainer3, null);
        kDLabelContainer4.setBounds(new Rectangle(102, 155, 270, 19));
        this.add(kDLabelContainer4, null);
        contorgId.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contorgId, null);
        contsealId.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contsealId, null);
        contsealName.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contsealName, null);
        contsealCreateTime.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contsealCreateTime, null);
        chkdefaultSealFlag.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(chkdefaultSealFlag, null);
        contsealHeight.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contsealHeight, null);
        contsealWidth.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contsealWidth, null);
        contsealBizType.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contsealBizType, null);
        contsealBizTypeDescription.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contsealBizTypeDescription, null);
        contsealStyle.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contsealStyle, null);
        conteffectiveTime.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(conteffectiveTime, null);
        contexpireTime.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contexpireTime, null);
        contsealAuthBizId.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contsealAuthBizId, null);
        contauthorizerOrgName.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contauthorizerOrgName, null);
        contauthorizerOrgId.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contauthorizerOrgId, null);
        chkauthorizer.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(chkauthorizer, null);
        contsealStatus.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contsealStatus, null);
        //kDLabelContainer1
        kDLabelContainer1.setBoundEditor(txtNumber);
        //kDLabelContainer2
        kDLabelContainer2.setBoundEditor(txtName);
        //kDLabelContainer3
        kDLabelContainer3.setBoundEditor(txtSimpleName);
        //kDLabelContainer4
        kDLabelContainer4.setBoundEditor(txtDescription);
        //contorgId
        contorgId.setBoundEditor(txtorgId);
        //contsealId
        contsealId.setBoundEditor(txtsealId);
        //contsealName
        contsealName.setBoundEditor(txtsealName);
        //contsealCreateTime
        contsealCreateTime.setBoundEditor(sealCreateTime);
        //contsealHeight
        contsealHeight.setBoundEditor(txtsealHeight);
        //contsealWidth
        contsealWidth.setBoundEditor(txtsealWidth);
        //contsealBizType
        contsealBizType.setBoundEditor(sealBizType);
        //contsealBizTypeDescription
        contsealBizTypeDescription.setBoundEditor(scrollPanesealBizTypeDescription);
        //scrollPanesealBizTypeDescription
        scrollPanesealBizTypeDescription.getViewport().add(txtsealBizTypeDescription, null);
        //contsealStyle
        contsealStyle.setBoundEditor(sealStyle);
        //conteffectiveTime
        conteffectiveTime.setBoundEditor(effectiveTime);
        //contexpireTime
        contexpireTime.setBoundEditor(expireTime);
        //contsealAuthBizId
        contsealAuthBizId.setBoundEditor(txtsealAuthBizId);
        //contauthorizerOrgName
        contauthorizerOrgName.setBoundEditor(txtauthorizerOrgName);
        //contauthorizerOrgId
        contauthorizerOrgId.setBoundEditor(txtauthorizerOrgId);
        //contsealStatus
        contsealStatus.setBoundEditor(sealStatus);

    }


    /**
     * output initUIMenuBarLayout method
     */
    public void initUIMenuBarLayout()
    {
        this.menuBar.add(menuFile);
        this.menuBar.add(menuEdit);
        this.menuBar.add(MenuService);
        this.menuBar.add(menuView);
        this.menuBar.add(menuBiz);
        this.menuBar.add(menuTool);
        this.menuBar.add(menuHelp);
        //menuFile
        menuFile.add(menuItemAddNew);
        menuFile.add(kDSeparator1);
        menuFile.add(menuItemCloudFeed);
        menuFile.add(menuItemSave);
        menuFile.add(menuItemCloudScreen);
        menuFile.add(menuItemSubmit);
        menuFile.add(menuItemCloudShare);
        menuFile.add(menuSubmitOption);
        menuFile.add(kdSeparatorFWFile1);
        menuFile.add(rMenuItemSubmit);
        menuFile.add(rMenuItemSubmitAndAddNew);
        menuFile.add(rMenuItemSubmitAndPrint);
        menuFile.add(separatorFile1);
        menuFile.add(MenuItemAttachment);
        menuFile.add(kDSeparator2);
        menuFile.add(menuItemPageSetup);
        menuFile.add(menuItemPrint);
        menuFile.add(menuItemPrintPreview);
        menuFile.add(kDSeparator3);
        menuFile.add(menuItemExitCurrent);
        //menuSubmitOption
        menuSubmitOption.add(chkMenuItemSubmitAndAddNew);
        menuSubmitOption.add(chkMenuItemSubmitAndPrint);
        //menuEdit
        menuEdit.add(menuItemCopy);
        menuEdit.add(menuItemEdit);
        menuEdit.add(menuItemRemove);
        menuEdit.add(kDSeparator4);
        menuEdit.add(menuItemReset);
        //MenuService
        MenuService.add(MenuItemKnowStore);
        MenuService.add(MenuItemAnwser);
        MenuService.add(SepratorService);
        MenuService.add(MenuItemRemoteAssist);
        //menuView
        menuView.add(menuItemFirst);
        menuView.add(menuItemPre);
        menuView.add(menuItemNext);
        menuView.add(menuItemLast);
        //menuBiz
        menuBiz.add(menuItemCancelCancel);
        menuBiz.add(menuItemCancel);
        //menuTool
        menuTool.add(menuItemMsgFormat);
        menuTool.add(menuItemSendMessage);
        menuTool.add(menuItemCalculator);
        menuTool.add(menuItemToolBarCustom);
        //menuHelp
        menuHelp.add(menuItemHelp);
        menuHelp.add(kDSeparator12);
        menuHelp.add(menuItemRegPro);
        menuHelp.add(menuItemPersonalSite);
        menuHelp.add(helpseparatorDiv);
        menuHelp.add(menuitemProductval);
        menuHelp.add(kDSeparatorProduct);
        menuHelp.add(menuItemAbout);

    }

    /**
     * output initUIToolBarLayout method
     */
    public void initUIToolBarLayout()
    {
        this.toolBar.add(btnAddNew);
        this.toolBar.add(btnCloud);
        this.toolBar.add(btnEdit);
        this.toolBar.add(btnXunTong);
        this.toolBar.add(btnReset);
        this.toolBar.add(kDSeparatorCloud);
        this.toolBar.add(btnSave);
        this.toolBar.add(btnSubmit);
        this.toolBar.add(btnCopy);
        this.toolBar.add(btnRemove);
        this.toolBar.add(btnAttachment);
        this.toolBar.add(separatorFW1);
        this.toolBar.add(btnPageSetup);
        this.toolBar.add(btnPrint);
        this.toolBar.add(btnPrintPreview);
        this.toolBar.add(separatorFW2);
        this.toolBar.add(btnFirst);
        this.toolBar.add(btnPre);
        this.toolBar.add(btnNext);
        this.toolBar.add(btnLast);
        this.toolBar.add(separatorFW3);
        this.toolBar.add(btnCancelCancel);
        this.toolBar.add(btnCancel);


    }

	//Regiester control's property binding.
	private void registerBindings(){
		dataBinder.registerBinding("defaultSealFlag", boolean.class, this.chkdefaultSealFlag, "selected");
		dataBinder.registerBinding("authorizer", boolean.class, this.chkauthorizer, "selected");
		dataBinder.registerBinding("number", String.class, this.txtNumber, "text");
		dataBinder.registerBinding("name", String.class, this.txtName, "_multiLangItem");
		dataBinder.registerBinding("simpleName", String.class, this.txtSimpleName, "text");
		dataBinder.registerBinding("description", String.class, this.txtDescription, "_multiLangItem");
		dataBinder.registerBinding("orgId", String.class, this.txtorgId, "text");
		dataBinder.registerBinding("sealId", String.class, this.txtsealId, "text");
		dataBinder.registerBinding("sealName", String.class, this.txtsealName, "text");
		dataBinder.registerBinding("sealCreateTime", java.sql.Time.class, this.sealCreateTime, "value");
		dataBinder.registerBinding("sealHeight", int.class, this.txtsealHeight, "value");
		dataBinder.registerBinding("sealWidth", int.class, this.txtsealWidth, "value");
		dataBinder.registerBinding("sealBizType", com.kingdee.eas.custom.esign.bizEnum.SealBizTypeEnum.class, this.sealBizType, "selectedItem");
		dataBinder.registerBinding("sealBizTypeDescription", String.class, this.txtsealBizTypeDescription, "text");
		dataBinder.registerBinding("sealStyle", com.kingdee.eas.custom.esign.bizEnum.SealStyleEnum.class, this.sealStyle, "selectedItem");
		dataBinder.registerBinding("effectiveTime", java.sql.Time.class, this.effectiveTime, "value");
		dataBinder.registerBinding("expireTime", java.sql.Time.class, this.expireTime, "value");
		dataBinder.registerBinding("sealAuthBizId", String.class, this.txtsealAuthBizId, "text");
		dataBinder.registerBinding("authorizerOrgName", String.class, this.txtauthorizerOrgName, "text");
		dataBinder.registerBinding("authorizerOrgId", String.class, this.txtauthorizerOrgId, "text");
		dataBinder.registerBinding("sealStatus", com.kingdee.eas.custom.esign.bizEnum.SealStatusEnum.class, this.sealStatus, "selectedItem");		
	}
	//Regiester UI State
	private void registerUIState(){
	        getActionManager().registerUIState(STATUS_ADDNEW, this.txtName, ActionStateConst.ENABLED);
	        getActionManager().registerUIState(STATUS_ADDNEW, this.txtDescription, ActionStateConst.ENABLED);
	        getActionManager().registerUIState(STATUS_ADDNEW, this.txtNumber, ActionStateConst.ENABLED);
	        getActionManager().registerUIState(STATUS_ADDNEW, this.txtSimpleName, ActionStateConst.ENABLED);
	        getActionManager().registerUIState(STATUS_EDIT, this.txtName, ActionStateConst.ENABLED);
	        getActionManager().registerUIState(STATUS_EDIT, this.txtDescription, ActionStateConst.ENABLED);
	        getActionManager().registerUIState(STATUS_EDIT, this.txtNumber, ActionStateConst.ENABLED);
	        getActionManager().registerUIState(STATUS_EDIT, this.txtSimpleName, ActionStateConst.ENABLED);					 	        		
	        getActionManager().registerUIState(STATUS_VIEW, this.txtName, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_VIEW, this.txtDescription, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_VIEW, this.txtNumber, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_VIEW, this.txtSimpleName, ActionStateConst.DISABLED);		
	}
	public String getUIHandlerClassName() {
	    return "com.kingdee.eas.custom.esign.app.SealEditUIHandler";
	}
	public IUIActionPostman prepareInit() {
		IUIActionPostman clientHanlder = super.prepareInit();
		if (clientHanlder != null) {
			RequestContext request = new RequestContext();
    		request.setClassName(getUIHandlerClassName());
			clientHanlder.setRequestContext(request);
		}
		return clientHanlder;
    }
	
	public boolean isPrepareInit() {
    	return false;
    }
    protected void initUIP() {
        super.initUIP();
    }


    /**
     * output onShow method
     */
    public void onShow() throws Exception
    {
        super.onShow();
        this.txtorgId.requestFocusInWindow();
    }

	
	

    /**
     * output setDataObject method
     */
    public void setDataObject(IObjectValue dataObject)
    {
        IObjectValue ov = dataObject;        	    	
        super.setDataObject(ov);
        this.editData = (com.kingdee.eas.custom.esign.SealInfo)ov;
    }
    protected void removeByPK(IObjectPK pk) throws Exception {
    	IObjectValue editData = this.editData;
    	super.removeByPK(pk);
    	recycleNumberByOrg(editData,"NONE",editData.getString("number"));
    }
    
    protected void recycleNumberByOrg(IObjectValue editData,String orgType,String number) {
        if (!StringUtils.isEmpty(number))
        {
            try {
            	String companyID = null;            
            	com.kingdee.eas.base.codingrule.ICodingRuleManager iCodingRuleManager = com.kingdee.eas.base.codingrule.CodingRuleManagerFactory.getRemoteInstance();
				if(!com.kingdee.util.StringUtils.isEmpty(orgType) && !"NONE".equalsIgnoreCase(orgType) && com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit(com.kingdee.eas.basedata.org.OrgType.getEnum(orgType))!=null) {
					companyID =com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit(com.kingdee.eas.basedata.org.OrgType.getEnum(orgType)).getString("id");
				}
				else if (com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit() != null) {
					companyID = ((com.kingdee.eas.basedata.org.OrgUnitInfo)com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit()).getString("id");
            	}				
				if (!StringUtils.isEmpty(companyID) && iCodingRuleManager.isExist(editData, companyID) && iCodingRuleManager.isUseIntermitNumber(editData, companyID)) {
					iCodingRuleManager.recycleNumber(editData,companyID,number);					
				}
            }
            catch (Exception e)
            {
                handUIException(e);
            }
        }
    }
    protected void setAutoNumberByOrg(String orgType) {
    	if (editData == null) return;
		if (editData.getNumber() == null) {
            try {
            	String companyID = null;
				if(!com.kingdee.util.StringUtils.isEmpty(orgType) && !"NONE".equalsIgnoreCase(orgType) && com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit(com.kingdee.eas.basedata.org.OrgType.getEnum(orgType))!=null) {
					companyID = com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit(com.kingdee.eas.basedata.org.OrgType.getEnum(orgType)).getString("id");
				}
				else if (com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit() != null) {
					companyID = ((com.kingdee.eas.basedata.org.OrgUnitInfo)com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit()).getString("id");
            	}
				com.kingdee.eas.base.codingrule.ICodingRuleManager iCodingRuleManager = com.kingdee.eas.base.codingrule.CodingRuleManagerFactory.getRemoteInstance();
		        if (iCodingRuleManager.isExist(editData, companyID)) {
		            if (iCodingRuleManager.isAddView(editData, companyID)) {
		            	editData.setNumber(iCodingRuleManager.getNumber(editData,companyID));
		            }
	                txtNumber.setEnabled(false);
		        }
            }
            catch (Exception e) {
                handUIException(e);
                this.oldData = editData;
                com.kingdee.eas.util.SysUtil.abort();
            } 
        } 
        else {
            if (editData.getNumber().trim().length() > 0) {
                txtNumber.setText(editData.getNumber());
            }
        }
    }

    /**
     * output loadFields method
     */
    public void loadFields()
    {
        		setAutoNumberByOrg("NONE");
        dataBinder.loadFields();
    }
		protected void setOrgF7(KDBizPromptBox f7,com.kingdee.eas.basedata.org.OrgType orgType) throws Exception
		{
			com.kingdee.eas.basedata.org.client.f7.NewOrgUnitFilterInfoProducer oufip = new com.kingdee.eas.basedata.org.client.f7.NewOrgUnitFilterInfoProducer(orgType);
			oufip.getModel().setIsCUFilter(true);
			f7.setFilterInfoProducer(oufip);
		}

    /**
     * output storeFields method
     */
    public void storeFields()
    {
		dataBinder.storeFields();
    }

	/**
	 * ????????งต??
	 */
	protected void registerValidator() {
    	getValidateHelper().setCustomValidator( getValidator() );
		getValidateHelper().registerBindProperty("defaultSealFlag", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("authorizer", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("number", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("name", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("simpleName", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("description", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("orgId", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("sealId", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("sealName", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("sealCreateTime", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("sealHeight", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("sealWidth", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("sealBizType", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("sealBizTypeDescription", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("sealStyle", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("effectiveTime", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("expireTime", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("sealAuthBizId", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("authorizerOrgName", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("authorizerOrgId", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("sealStatus", ValidateHelper.ON_SAVE);    		
	}



    /**
     * output setOprtState method
     */
    public void setOprtState(String oprtType)
    {
        super.setOprtState(oprtType);
        if (STATUS_ADDNEW.equals(this.oprtState)) {
		            this.txtName.setEnabled(true);
		            this.txtDescription.setEnabled(true);
		            this.txtNumber.setEnabled(true);
		            this.txtSimpleName.setEnabled(true);
        } else if (STATUS_EDIT.equals(this.oprtState)) {
		            this.txtName.setEnabled(true);
		            this.txtDescription.setEnabled(true);
		            this.txtNumber.setEnabled(true);
		            this.txtSimpleName.setEnabled(true);
        } else if (STATUS_VIEW.equals(this.oprtState)) {
		            this.txtName.setEnabled(false);
		            this.txtDescription.setEnabled(false);
		            this.txtNumber.setEnabled(false);
		            this.txtSimpleName.setEnabled(false);
        }
    }

    /**
     * output getSelectors method
     */
    public SelectorItemCollection getSelectors()
    {
        SelectorItemCollection sic = new SelectorItemCollection();
		String selectorAll = System.getProperty("selector.all");
		if(StringUtils.isEmpty(selectorAll)){
			selectorAll = "true";
		}
        sic.add(new SelectorItemInfo("defaultSealFlag"));
        sic.add(new SelectorItemInfo("authorizer"));
        sic.add(new SelectorItemInfo("number"));
        sic.add(new SelectorItemInfo("name"));
        sic.add(new SelectorItemInfo("simpleName"));
        sic.add(new SelectorItemInfo("description"));
        sic.add(new SelectorItemInfo("orgId"));
        sic.add(new SelectorItemInfo("sealId"));
        sic.add(new SelectorItemInfo("sealName"));
        sic.add(new SelectorItemInfo("sealCreateTime"));
        sic.add(new SelectorItemInfo("sealHeight"));
        sic.add(new SelectorItemInfo("sealWidth"));
        sic.add(new SelectorItemInfo("sealBizType"));
        sic.add(new SelectorItemInfo("sealBizTypeDescription"));
        sic.add(new SelectorItemInfo("sealStyle"));
        sic.add(new SelectorItemInfo("effectiveTime"));
        sic.add(new SelectorItemInfo("expireTime"));
        sic.add(new SelectorItemInfo("sealAuthBizId"));
        sic.add(new SelectorItemInfo("authorizerOrgName"));
        sic.add(new SelectorItemInfo("authorizerOrgId"));
        sic.add(new SelectorItemInfo("sealStatus"));
        return sic;
    }        

    /**
     * output getMetaDataPK method
     */
    public IMetaDataPK getMetaDataPK()
    {
        return new MetaDataPK("com.kingdee.eas.custom.esign.client", "SealEditUI");
    }

    /**
     * output getEditUIName method
     */
    protected String getEditUIName()
    {
        return com.kingdee.eas.custom.esign.client.SealEditUI.class.getName();
    }

    /**
     * output getBizInterface method
     */
    protected com.kingdee.eas.framework.ICoreBase getBizInterface() throws Exception
    {
        return com.kingdee.eas.custom.esign.SealFactory.getRemoteInstance();
    }

    /**
     * output createNewData method
     */
    protected IObjectValue createNewData()
    {
        com.kingdee.eas.custom.esign.SealInfo objectValue = new com.kingdee.eas.custom.esign.SealInfo();
        objectValue.setCreator((com.kingdee.eas.base.permission.UserInfo)(com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentUser()));		
        return objectValue;
    }



    /**
     * output getDetailTable method
     */
    protected KDTable getDetailTable() {        
        return null;
	}
    /**
     * output applyDefaultValue method
     */
    protected void applyDefaultValue(IObjectValue vo) {        
		vo.put("sealBizType","PUBLIC");
vo.put("sealStyle",new Integer(1));
vo.put("sealStatus",new Integer(1));
        
    }        
	protected void setFieldsNull(com.kingdee.bos.dao.AbstractObjectValue arg0) {
		super.setFieldsNull(arg0);
		arg0.put("number",null);
	}

}